MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024010Community[OCCT] OCCT:Visualizationpublic2013-06-03 18:512013-12-19 13:55
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024010: Voxel_DS: getting the origin point of a voxel
DescriptionCurrently, it is possible to obtain only the center point of a voxel. For this purpose, internally the voxel origin point is taken and then the half of the voxel size in each direction is added.

If the origin is needed, one has to get the center and then subtract half of the voxel size in each direction. Thus adding/subtracting is performed twice.

I suggest to add a method allowing the user to obtain the voxel origin point to avoid additional adding/subtracting.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0024616)
Pawel (developer)
2013-06-03 18:53

Branch CR24010 pushed. Please review.
(0024620)
vro (developer)
2013-06-04 08:21

Thank you for the additional method. I'm sure it will be useful!
I renamed (xc, yc, zc) to (x0, y0, z0) in the method GetOrgin(), if you don't mind.
Also, I call the method GetOrigin() from GetCenter() internally to reduce amount of code and increase readability. Do you agree?
(0024624)
Pawel (developer)
2013-06-04 11:33

Yes, it's OK. Thanks for reviewing!
(0024631)
mkv (tester)
2013-06-05 12:35

Dear BugMaster,

Branch CR24010 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 24b1227c48f2dd21d11aaa07262e29e5fbfbd85c

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 7 (7 on master)

products component :
Linux: 0 (0 on master)
Windows: 63 (63 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 366507992 / 366248232
Total CPU difference: 44659.0200000009 / 41752.48000000117

Testing on Windows:
Total MEMORY difference: 420578768 / 421609384
Total CPU difference: 53868.859375 / 41288.15625

There are not differences in images found by testdiff.

- Related Changesets
occt: master 31065946
Timestamp: 2013-06-06 06:21:21
Author: Pawel
Details ] Diff ]
0024010: Voxel_DS: getting the origin point of a voxel
A method obtaining the voxel origin added.
1. (xc, yc, zc) is renamed to (x0, y0, z0)
2. The method GetCenter() calls now the method GetOrigin() internally to reduce amount of code and increase readability.
mod - src/Voxel/Voxel_DS.cdl Diff ] File ]
mod - src/Voxel/Voxel_DS.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-06-03 18:51 Pawel New Issue
2013-06-03 18:51 Pawel Assigned To => Pawel
2013-06-03 18:53 Pawel Note Added: 0024616
2013-06-03 18:53 Pawel Assigned To Pawel => vro
2013-06-03 18:53 Pawel Status new => resolved
2013-06-03 18:58 Pawel Description Updated View Revisions
2013-06-04 08:21 vro Note Added: 0024620
2013-06-04 08:21 vro Status resolved => reviewed
2013-06-04 11:33 Pawel Note Added: 0024624
2013-06-05 12:35 mkv Note Added: 0024631
2013-06-05 12:36 mkv Test case number => Not needed
2013-06-05 12:36 mkv Assigned To vro => bugmaster
2013-06-05 12:36 mkv Status reviewed => tested
2013-06-10 10:30 Pawel Changeset attached => occt master 31065946
2013-06-10 10:30 Pawel Assigned To bugmaster => Pawel
2013-06-10 10:30 Pawel Status tested => verified
2013-06-10 10:30 Pawel Resolution open => fixed
2013-12-19 13:53 bugmaster Status verified => closed
2013-12-19 13:55 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker